﻿@keyframes numberAnim {
    from {
        background-color: #f6f6f6;
    }

    to {
        background-color: #777;
    }
}

@keyframes flash {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.image-container {
    position: relative;
    display: inline-block;
}

.main-image {
    width: 100%;
    height: auto;
    display: block;
}

.image-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: small;
    font-weight: bold;
    text-align: center;
}

.team-form-container {
    -webkit-font-smoothing: antialiased;
    line-height: 1.15;
    box-sizing: inherit;
    display: flex;
}

.team-form-win {
    line-height: 1.15;
    box-sizing: inherit;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 22px;
    height: 22px;
    color: #fff;
    font-weight: 600;
    font-size: 12px;
    border-radius: 2px;
    background: #26ad60;
    margin-right: 2px;
    margin-left: 2px;
}

.team-form-draw {
    line-height: 1.15;
    box-sizing: inherit;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 22px;
    height: 22px;
    color: #333;
    font-weight: 600;
    font-size: 12px;
    border-radius: 2px;
    background: #e3aa31;
    margin-right: 2px;
    margin-left: 2px;
}

.team-form-lost {
    line-height: 1.15;
    box-sizing: inherit;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 22px;
    height: 22px;
    color: #fff;
    font-weight: 600;
    font-size: 12px;
    border-radius: 2px;
    background: #e65853;
    margin-left: 1px;
    margin-right: 1px;
}

.outcome-form {
    box-sizing: inherit;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 28px;
    color: #fff;
    border-radius: 3px;
    background: #26ad60;
}

.spec-form {
    box-sizing: inherit;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 28px;
    color: #fff;
    border-radius: 3px;
    background: #00A2E8;
}

.outcomes-wraper {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    padding: 0;
}

.lotto-event-row {
    line-height: 1.15;
    color: #333;
    box-sizing: inherit;
    justify-content: space-between;
    align-items: center;
    display: flex;
    flex-direction: row;
    margin-bottom: 8px;
}

.lotto-event-row-info {
    color: #333;
    box-sizing: inherit;
    font-size: 14px;
    font-weight: 500;
    line-height: 14px;
    width: 192px;
    text-align: left;
    margin-right: 16px;
    flex: 1 1 auto;
}

.lotto-event-row-date {
    line-height: 1.15;
    box-sizing: inherit;
    text-transform: uppercase;
    margin-right: 21px;
    text-align: left;
    color: #999;
    font-style: normal;
    font-weight: 500;
    font-size: 10px;
    display: block;
}

.lotto-system-grid {
    line-height: 1.15;
    color: #333;
    box-sizing: inherit;
    display: flex;
    align-items: center;
    user-select: none;
}

.lotto-system-grid-big {
    line-height: 1.5;
    color: #333;
    box-sizing: inherit;
    display: flex;
    align-items: center;
    user-select: none;
}

.system-draw {
    box-sizing: inherit;
    border-radius: 11px;
    font-size: 12px;
    height: 22px;
    line-height: 20px;
    text-align: center;
    width: 22px;
    background-color: #fff;
    border: 1px solid #777;
    color: #777;
    margin-right: -2px;
    z-index: 1;
    min-width:20px;
}

.system-balls {
    box-sizing: inherit;
    border: 1px solid transparent;
    border-radius: 11px;
    font-size: 12px;
    height: 22px;
    line-height: 20px;
    text-align: center;
    width: 22px;
    background-color: #777;
    color: #fff;
    min-width: 20px;
}

.ticket-balls {
    box-sizing: inherit;
    border: 1px solid transparent;
    border-radius: 8px;
    font-size: 14px;
    height: 26px;
    line-height: 26px;
    text-align: center;
    width: 26px;
    background-color: #777;
    color: #fff;
}

.ticket-balls-big {
    box-sizing: inherit;
    border: 1px solid transparent;
    border-radius: 8px;
    font-size: 18px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    width: 30px;
    background-color: #777;
    color: #fff;
}

.ticket-system {
    box-sizing: inherit;
    border-radius: 8px;
    height: 26px;
    line-height: 26px;
    text-align: center;
    min-width: 26px;
    background-color: #f6f6f6;
    border: 1px solid #777;
    color: #333;
    margin-right: -2px;
    padding: 0 1px 0 1px;
    font-size: 14px;
    font-weight: 400;
    z-index: 1;
}

.ticket-system-big {
    box-sizing: inherit;
    border-radius: 8px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    min-width: 30px;
    background-color: #f6f6f6;
    border: 1px solid #777;
    color: #333;
    margin-right: -2px;
    padding: 0 1px 0 1px;
    font-size: 18px;
    font-weight: 400;
    z-index: 1;
}

.lotto-ticket-numbers {
    line-height: 1.25;
    box-sizing: inherit;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.lotto-ticket-numbers-big {
    line-height: 1.5;
    box-sizing: inherit;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.lotto-ticket-number {
    box-sizing: inherit;
    display: inline-block;
    border: 1px solid #777;
    background-color: #f6f6f6;
    height: 26px;
    width: 26px;
    margin-right: 2px;
    text-align: center;
    line-height: 26px;
    color: #333;
    font-size: 14px;
    font-weight: 400;
    border-radius: 10px;
}
.number-anim {
    animation-name: numberAnim;
    animation-duration: 3s;
}
.lotto-ticket-number-big {
    box-sizing: inherit;
    display: inline-block;
    border: 1px solid #777;
    background-color: #f6f6f6;
    height: 30px;
    width: 30px;
    margin-right: 2px;
    text-align: center;
    line-height: 30px;
    color: #333;
    font-size: 18px;
    font-weight: 500;
    border-radius: 10px;
}

.number-win {
    color: #eaf6ea;
    border-color: #529900;
    background-color: #529900;
}

.number-loss {
    color: #fff2f1;
    border-color: #ea060a;
    background-color: #ff6255;
}

.lotto-balls-grid {
    padding: 4px;
    position: relative;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.account-roles {
    text-align: left;
    display: block;
    padding-left: 4rem;
}

.account-role {
    display: inline-block;
    background-color: #479cc8;
    color: white;
    padding: 0.2rem 1rem;
    border-radius: 0.5rem;
    margin: 0.4rem 0.3rem;
    font-weight: 400;
}

.account-role-name {
    font-weight: 100;
    font-size: 0.8rem;
}

.delete-role {
    background: none;
    border: none;
    color: white;
    padding: 0.2rem 0.2rem 0.3rem 0.2rem;
    cursor: pointer;
}

    .delete-role:hover {
        color: red;
        
    }

.position-sticky {
    position: -webkit-sticky !important;
    position: sticky !important;
}

.fixed-top {
    position: fixed;
    top: 0px;
    right: 0;
    left: 0;
    z-index: 1030;
}

.position-fixed {
    position: fixed !important;
}

.fixed-bottom {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1030;
}

.overlay-badge {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(0, 0, 0, 0.55);
    color: white;
    padding: 12px 16px;
    border-radius: 10px;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
    .sticky-top {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        z-index: 1020;
    }
}

